﻿<%@ Page Language="C#" Inherits="SrEcommerceDemo.Customer.Principal" %>
<!DOCTYPE html>
<html>
    <head runat="server">
    	<title>Principal</title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </head>
    <body>
         <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
              <a class="navbar-brand" href="#">
                 Demo Sr. E-Commerce .Net
              </a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>

               <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                  <!--<li class="nav-item active">
                    <a class="nav-link" href="/Index.aspx">Home</a>
                  </li>-->
                  <li class="nav-item">
                    <a class="nav-link" href="/Charge/ChargeExample.aspx">Cobro</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Connect/ConnectExample.aspx">Join</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Customer/Principal.aspx">Clientes</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Terminal/Create.aspx">Terminal</a>
                  </li>
                </ul>
              </div>
        </nav>
        <div class="container">
            <h1>Lista de clientes</h1>
            <form id="form1" runat="server">
                <div class="table-responsive">
                    <asp:GridView runat="server" ID="grCustomers" AutoGenerateColumns="False" EmptyDataText="No existen clientes" CssClass="table table-striped">
                        <Columns>
                            <asp:HyperLinkField DataNavigateUrlFields = "id" DataNavigateUrlFormatString = "View.aspx?id={0}" DataTextField = "name" HeaderText = "Nombre" />
                            <asp:BoundField DataField = "email" HeaderText = "Email" />
                            <asp:CheckBoxField DataField = "active" HeaderText = "Activo" />
                            <asp:HyperLinkField DataNavigateUrlFields = "id" DataNavigateUrlFormatString = "Card/Create.aspx?id={0}" Text="Agregar" HeaderText = "Tarjetas" />
                            <asp:HyperLinkField DataNavigateUrlFields = "id" DataNavigateUrlFormatString = "Charge.aspx?id={0}" Text="Cobrar" HeaderText = "Tarjetas" />
                        </Columns>
                    </asp:GridView>
                </div>
                <input type="button" class="btn btn-primary" id="create-customer" value="Dar de alta a nuevo cliente" onclick="location.href='Create.aspx';"/>
            </form>
        </div>
    </body>
</html>
