﻿<%@ Page Language="C#" Inherits="SrEcommerceDemo.Terminal.Create" %>

<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title></title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        

    </head>
    <body>
         <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
              <a class="navbar-brand" href="#">
                 Demo Sr. E-Commerce .Net
              </a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>

               <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                  <!--<li class="nav-item active">
                    <a class="nav-link" href="/Index.aspx">Home</a>
                  </li>-->
                  <li class="nav-item">
                    <a class="nav-link" href="/Charge/ChargeExample.aspx">Cobro</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Connect/ConnectExample.aspx">Join</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Customer/Principal.aspx">Clientes</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Terminal/Create.aspx">Terminal</a>
                  </li>
                </ul>
              </div>
        </nav>
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <br/>
                    <h1>Pago con Terminal</h1>
                    <form action="" method="POST" id="payment-form">
                        <div class="form-group">
                            <label>Monto</label>
                            <input type="text" class="form-control amount" name="amount" maxlength="40" placeholder="Monto" />
                        </div>
                        <div class="form-group">
                            <label>Numero de referencia</label>
                            <input type="text" class="form-control referenceNumber" name="referenceNumber" placeholder="N&uacute;mero de referencia" />
                        </div>
                        <div class="form-group">
                            <label>Descripcion</label>
                            <input type="text" class="form-control referenceDescription" name="referenceDescription" placeholder="Descripci&oacute;n" />
                        </div>
                        
                        
                        
                        <div class="form-group">
                            <label>Terminales online</label>
                            <span id="terminals">...</span>
                        </div>
                        
                        
                        <input type="button" class="btn btn-primary" id="create-payment" value="1. Crear pago" />
                        <input type="button" class="btn btn-warning" id="terminal-status" value="2. Obtener Status de terminal" />
                        
                        <hr />
                        
                        <code id="response-creation"></code>
                    </form>
                </div>
                <div class="col-md-6">
                    <br/><br/><br/>
                    <h5>STATUS DE TERMINAL</h5>
                    <span class="terminal-status">NO INICIADO</span>
                    <br/><br/>
                    <h5>STATUS DE PAGO</h5>
                    <span class="payment-status">...</span>
                    
                </div>
                
            </div>
        </div>
        
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
        
        <script src="https://js.srpago.com/v1/srpago.min.js"></script>
        <script src="https://sandbox-api.srpago.com/js/srpago.terminal.min.js"></script>
        
        <script src="/scripts/terminal/srpago_terminal_demo.js"></script>
    </body>
</html>