﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChargeExample.aspx.cs" Inherits="SrEcommerceDemo.ChargeExample" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <script type="text/javascript" src="https://js.srpago.com/v1/srpago.min.js"></script>
    <script type="text/javascript" src="https://js.srpago.com/v1/srpago.encryption.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            SrPago.setLiveMode(true);
            SrPago.setPublishableKey("pk_live_5b2be0af3b3fbi?WHW ");

            $('#card-payment-form-button').click(function (event) {
                var onSuccessHandler = function (result) {
                    $("#response_message").html("Con este token procesará el pago desde su Servidor " + result.token);
                    var amount = document.getElementById('amount').value;
                    var description = document.getElementById('description').value;
                    var data = "{'result.token'':'" + result.token + "','amount':'" + amount + "','description':'" + description + "'}"
                    MakePayment(result.token, amount, description);
                };

                var onFailHandler = function (error) {
                    $("#response_message").html("Error " + error.code + ": " + error.message);
                };

                var card = {
                    number: $('.card-number').val(),
                    holder_name: $('.card-holder-name').val(),
                    cvv: $('.card-cvv').val(),
                    exp_month: $('.card-exp-month').val(),
                    exp_year: $('.card-exp-year').val()
                };
                SrPago.token.create(card, onSuccessHandler, onFailHandler);
                return false;
            });

            var MakePayment = function (TokenCard, amount, description) {

                $.ajax({
                    url: 'ChargeExample.aspx/MakePaymentAction',
                    type: "POST",
                    data: "{'TokenCard':'" + TokenCard + "','amount':'" + amount + "','description':'" + description + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (response) {
                        $("#response_payment").text(response.d);
                    },
                    failure: function (response) {
                        alert(response.d);
                    }
                }).done(function (response) {
                });
            }
        });
    </script>

</head>
<body>
     <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
          <a class="navbar-brand" href="#">
             Demo Sr. E-Commerce .Net
          </a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>

           <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
              <!--<li class="nav-item active">
                <a class="nav-link" href="/Index.aspx">Home</a>
              </li>-->
              <li class="nav-item">
                <a class="nav-link" href="/Charge/ChargeExample.aspx">Cobro</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/Connect/ConnectExample.aspx">Join</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/Customer/Principal.aspx">Clientes</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/Terminal/Create.aspx">Terminal</a>
              </li>
            </ul>
          </div>
    </nav>
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <br/>
                <h1>Ejemplo de cobro</h1>
                <form action="" method="POST" id="card-payment-form">
                    <div class="form-group">
                        <label>Monto</label>
                        <input type="text" class="form-control charge-amount" name="amount" id="amount" />
                    </div>
                    <div class="form-group">
                        <label>Descripci&oacuten</label>
                        <input type="text" class="form-control charge-description" name="description" id="description" />
                    </div>
                    <div class="form-group">
                        <label>No. de tarjeta</label>
                        <input type="text" class="form-control card-number" name="number" maxlength="16" data-card="number" />
                    </div>
                    <div class="form-group">
                        <label>Nombre de tarjetahabiente</label>
                        <input type="text" class="form-control card-holder-name" name="holder_name" />
                    </div>
                    <div class="form-group row">
                        <div class="col-md-4">
                            <label>Fecha de exp MM/YY</label>
                        </div>
                        <div class="col-md-2">
                            <input type="text" class="form-control card-exp-month" name="month" maxlength="2" size="2" data-card="exp_month" />
                        </div>
                        <div class="col-md-2">
                            <input type="text" class="form-control card-exp-year" name="year" maxlength="2" size="2"  data-card="exp_year" />
                        </div>
                        <div class="col-md-2">
                            <label>CVV</label>
                        </div>
                        <div class="col-md-2">
                            <input type="password" class="form-control card-cvv" name="cvv" size="4" data-card="cvv" />
                        </div>
                    </div>
                    <div class="form-group row">
                        
                    </div>
                    <input type="button" class="btn btn-primary" id="card-payment-form-button" value="Pagar ahora" />
                    <hr />
                    <label id="response_message"></label>
                    <hr />
                    <label id="response_payment"></label>
                </form>
            </div>
        </div>
        
    </div>

</body>
</html>
