﻿<%@ Page Language="C#" Inherits="SrEcommerceDemo.Customer.Card.Create" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <title></title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <script type="text/javascript" src="https://js.srpago.com/v1/srpago.min.js"></script>
        <script type="text/javascript" src="https://js.srpago.com/v1/srpago.encryption.min.js"></script>
        <script type="text/javascript">
            $(document).ready(function () {
                SrPago.setLiveMode(true);
                SrPago.setPublishableKey("pk_live_5b2be0af3b3fbi?WHW");
                <!--SrPago.setLiveMode(false);-->
                <!--SrPago.setPublishableKey("pk_dev_5af606152e1ad(*!LW");-->

                $('#card-payment-form-button').click(function (event) {
                    var onSuccessHandler = function (result) {
                        $("#response_message").html("Con este token procesará el alta de tarjeta " + result.token);

                       CreateCard(result.token);
                    };

                    var onFailHandler = function (error) {
                        $("#response_message").html("Error " + error.code + ": " + error.message);
                    };

                    var card = {
                        number: $('.card-number').val(),
                        holder_name: $('.card-holder-name').val(),
                        cvv: $('.card-cvv').val(),
                        exp_month: $('.card-exp-month').val(),
                        exp_year: $('.card-exp-year').val()
                    };
                    SrPago.token.create(card, onSuccessHandler, onFailHandler);
                    return false;
                });

                var CreateCard = function (TokenCard) {

                    $.ajax({
                        url: 'Create.aspx/PostCustomerCardAction',
                        type: "POST",
                        data: "{'TokenCard':'" + TokenCard + "'}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (response) {
                            $("#response_payment").text(response.d);
                        },
                        failure: function (response) {
                            alert(response.d);
                        }
                    }).done(function (response) {
                    });
                }
            });
        </script>

    </head>
    <body>
        <div class="container">
            <h1>Alta de tarjeta</h1>

            <form action="" method="POST" id="card-payment-form" >
                <div class="form-group">
                    <label>Nombre de cliente</label>
                    <asp:Label id="lbCustomerName" runat="server"></asp:Label>
                </div>
                <div class="form-group">
                    <label>No. de tarjeta</label>
                    <input type="text" class="form-control card-number" name="number" maxlength="16" data-card="number" placeholder="No. de tarjeta" />
                </div>
                <div class="form-group">
                    <label>Nombre de tarjetahabiente</label>
                    <input type="text" class="form-control card-holder-name" name="holder_name" placeholder="Tarjetahabiente" />
                </div>
                <div class="form-group row">
                    <div class="col-xs-2">
                        <label>Fecha de exp MM/YY</label>
                    </div>
                    <div class="col-xs-1">
                        <input type="text" class="form-control card-exp-month" name="month" maxlength="2" size="2" data-card="exp_month" />
                    </div>
                    <div class="col-xs-1">
                        <input type="text" class="form-control card-exp-year" name="year" maxlength="2" size="2"  data-card="exp_year" />
                    </div>
                    <div class="col-xs-1">
                        <label>CVV</label>
                    </div>
                    <div class="col-xs-1">
                        <input type="password" class="form-control card-cvv" name="cvv" size="4" data-card="cvv" />
                    </div>
                </div>
                <div class="form-group row">
                    
                </div>
                <input type="button" class="btn btn-primary" id="card-payment-form-button" value="Dar de alta" />
                <input type="button" class="btn btn-info" onclick="location.href='/Customer/Principal.aspx';" id="btn-return" value="Regresar" />
                <hr />
                <label id="response_message"></label>
                <hr />
                <label id="response_payment"></label>
            </form>
        </div>

    </body>
</html>