﻿<%@ Page Language="C#" Inherits="SrEcommerceDemo.Customer.Charge" %>
<!DOCTYPE html>
<html>
    <head runat="server">
        <title>Charge</title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
        <script type="text/javascript" src="https://js.srpago.com/v1/srpago.min.js"></script>
        <script type="text/javascript" src="https://js.srpago.com/v1/srpago.encryption.min.js"></script>
        <script type="text/javascript">
            $(document).ready(function () {
                $('#charge-customer').click(function (event) {
                    var token = document.getElementById("<%=ddCards.ClientID%>").value;
                    var amount = document.getElementById('amount').value 
                    var description = document.getElementById('description').value 
                    ChargeCustomer(token, amount, description);
                });
                var ChargeCustomer = function (token, amount, description) {
                    $.ajax({
                        url: 'Charge.aspx/ChargeCustomerAction',
                        type: "POST",
                        data: "{'token':'" + token + "','amount':'" + amount + "','description':'" + description + "}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (response) {
                            $("#response-creation").text('-' + response.d);
                        },
                        failure: function (response) {
                            alert(response.d);
                        }
                    }).done(function (response) {
                    });;
                }
            });
        </script>
    </head>
    <body>
         <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
              <a class="navbar-brand" href="#">
                 Demo Sr. E-Commerce .Net
              </a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>

               <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                  <!--<li class="nav-item active">
                    <a class="nav-link" href="/Index.aspx">Home</a>
                  </li>-->
                  <li class="nav-item">
                    <a class="nav-link" href="/Charge/ChargeExample.aspx">Cobro</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Connect/ConnectExample.aspx">Join</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Customer/Principal.aspx">Clientes</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Terminal/Create.aspx">Terminal</a>
                  </li>
                </ul>
              </div>
        </nav>
        <form id="form1" runat="server">
            <div class="container">
            <h1>Cobro a cliente</h1>

            <form action="" method="POST" id="card-payment-form" >
                <div class="form-group">
                    <label>Nombre de cliente</label>
                    <asp:Label id="lbCustomerName" runat="server"></asp:Label>
                </div>
                <div class="form-group">
                    <label>Monto</label>
                    <input type="text" class="form-control charge-amount" name="amount" id="amount" />
                </div>
                <div class="form-group">
                    <label>Descripcion</label>
                    <input type="text" class="form-control charge-description" name="description" id="description" />
                </div>
                <div class="form-group">
                    <label>Tarjeta</label>
                    <asp:DropDownList id="ddCards" runat="server" DataTextField="number" DataValueField="token"/>
                </div>
                <input type="button" class="btn btn-primary" id="charge-customer" value="Cobrar" />
                <input type="button" class="btn btn-info" onclick="location.href='Principal.aspx';" id="btn-return" value="Regresar" />
                <hr />
                <label id="response-creation"></label>
            </form>
        </div>
        </form>
    </body>
</html>