﻿<%@ Page Language="C#" Inherits="SrEcommerceDemo.Customer.View" %>
<!DOCTYPE html>
<html>
    <head runat="server">
        <title>View</title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </head>
    <body>
         <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
              <a class="navbar-brand" href="#">
                 Demo Sr. E-Commerce .Net
              </a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>

               <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                  <!--<li class="nav-item active">
                    <a class="nav-link" href="/Index.aspx">Home</a>
                  </li>-->
                  <li class="nav-item">
                    <a class="nav-link" href="/Charge/ChargeExample.aspx">Cobro</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Connect/ConnectExample.aspx">Join</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Customer/Principal.aspx">Clientes</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/Terminal/Create.aspx">Terminal</a>
                  </li>
                </ul>
              </div>
        </nav>
        <form id="form1" runat="server">
            <div class="container">
                <h1>Datos de cliente</h1>
                <form action="" method="POST" id="card-payment-form">
                    <div class="form-group">
                        <label>Nombre</label>
                        <asp:Label runat="server" id="lbName"></asp:Label>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <asp:Label runat="server" id="lbEmail"></asp:Label>
                    </div>
                    <div class="form-group">
                        <label>Activo</label>
                        <asp:Label runat="server" id="lbActive"></asp:Label>
                    </div>
                </form>
                <asp:GridView runat="server" id="gvCards" CssClass="table table-striped" AutoGenerateColumns="False" EmptyDataText="No existen tarjetas para este cliente">
                    <Columns>
                        <asp:BoundField DataField = "holder_name" HeaderText = "Tarjetahabiente" />
                        <asp:BoundField DataField = "type" HeaderText = "Tipo" />
                        <asp:BoundField DataField = "number" HeaderText = "No. de tarjeta" />
                        <asp:BoundField DataField = "expiration" HeaderText = "Fecha de exp" />
                        <asp:BoundField DataField = "country_code" HeaderText = "Pais" />
                        <asp:BoundField DataField = "bank_name" HeaderText = "Banco" />
                    </Columns>
                </asp:GridView>
                <input type="button" class="btn btn-info" onclick="location.href='Principal.aspx';" id="btn-return" value="Regresar" />
            </div>
        </form>
    </body>
</html>